[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollection.GetNamePath

Overrides TPersistent.GetNamePath to return a proper pathname.

## Declaration

Source position: classesh.inc line 559

`public function TCollection.GetNamePath: string; override;`

## Description

GetNamePath returns the name path for this collection. If the following conditions are satisfied:

1. There is an owner object.
2. The owner object returns a non-empty name path.
3. The TCollection.Propname property is not empty

collection has an owner and the owning object has a name, then the function returns the owner name, followed by the propname. If one of the conditions is not satisfied, then the classname is returned.

## See also

TCollection.GetOwner
TCollection.Propname |  | Name of the property that this collection represents.